### Constructor

# Gtk.BuilderListItemFactory.new_from_bytes

#### Declaration [src]

    GtkListItemFactory*
    gtk_builder_list_item_factory_new_from_bytes (
      GtkBuilderScope* scope,
      GBytes* bytes
    )

#### Description [src]

Creates a new `GtkBuilderListItemFactory` that instantiates widgets using `bytes` as the data to pass to `GtkBuilder`.

#### Parameters

`scope` | `GtkBuilderScope`
| A scope to use when instantiating
| Can be `NULL`
| Ownership is not transferred to the callee
`bytes` | `GBytes*`
| the `GBytes` containing the ui file to instantiate
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkListItemFactory`
a new `GtkBuilderListItemFactory`
Ownership of the data is transferred to the caller